package com.tiedup.remake.entities.kidnapper.hosts;

import com.tiedup.remake.entities.EntityKidnapper;
import com.tiedup.remake.entities.kidnapper.components.IStateHost;

/**
 * Host implementation for StateManager callbacks.
 */
public class StateHost implements IStateHost {

    private final EntityKidnapper entity;

    public StateHost(EntityKidnapper entity) {
        this.entity = entity;
    }

    @Override
    public String getNpcName() {
        return entity.getNpcName();
    }
}
